Wheel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.ctdp.rfdynhud.gamedata
Enum Wheel

    java.lang.Object
      java.lang.Enum<Wheel>
          net.ctdp.rfdynhud.gamedata.Wheel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Wheel>

    public enum Wheel

extends java.lang.Enum<Wheel>

Author:
  Marvin Froehlich (CTDP)

Enum Constant Summary
`FRONT_LEFT`
`FRONT_RIGHT`
`REAR_LEFT`
`REAR_RIGHT`

Method Summary
`boolean` | `isFront()`
`boolean` | `isLeft()`
`boolean` | `isRear()`
`boolean` | `isRight()`
`static Wheel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Wheel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FRONT_LEFT

    public static final Wheel FRONT_LEFT

### FRONT_RIGHT

    public static final Wheel FRONT_RIGHT

### REAR_LEFT

    public static final Wheel REAR_LEFT

### REAR_RIGHT

    public static final Wheel REAR_RIGHT

Method Detail

### values

    public static Wheel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Wheel c : Wheel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Wheel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### isFront

    public final boolean isFront()

### isRear

    public final boolean isRear()

### isLeft

    public final boolean isLeft()

### isRight

    public final boolean isRight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD